#ifndef _DC_H_
#define _DC_H_

#define DC_CTRL_PORT PORTD
#define DC_CTRL_DDR DDRD	/* do not change, OC0B is hardware dependent - Port D, bit 5 */

#define DC_PWM_PIN 5		/* do not change, OC0B is hardware dependent - Port D, bit 5 */
#define DC_ENABLE_PIN 4

#define DC_ADC_MEAN 5					/* Mittelwert ber 5 */
#define TARGET_VOLTAGE	3250			/* 325V = Umax 230V */
#define TARGET_VOLTAGE_MIN	(TARGET_VOLTAGE-250)
#define MAX_INPUT_VOLTAGE 3500			/* Max. erlaubte Spannung Zwischenkreis */

#if 1
#define DisableDc() DC_CTRL_PORT&= ~(1<<DC_ENABLE_PIN)
#define EnableDc() DC_CTRL_PORT|= (1<<DC_ENABLE_PIN)

#else
static inline void DisableDc() 
{
	DC_CTRL_PORT&= ~(1<<DC_ENABLE_PIN);
}	

static inline void EnableDc()
{
	DC_CTRL_PORT|= (1<<DC_ENABLE_PIN);
}	
#endif

extern void InitDc();
extern void StartDc();
extern void HandleDc(int16_t voltage);
extern void SetDcPwm(uint16_t uout);

#endif /* _DC_H_ */