#ifndef _MENUE_H_
#define _MENUE_H_

enum MenueFlags	{
	mnfWrap= 1,
	mnfInvDown= 2,
	mnfInvUp= 4,
};

class TMenuContext;	// forward
typedef void (*FP_MenuFormat)(const TMenuContext& ctx, char* buff);
struct TMenuItem	{
	uint8_t			MinVal, MaxVal, InvVal;
	uint8_t			Flags;
	uint8_t			Step;
	uint8_t*		EEAddr;
	FP_MenuFormat	Format;
	PGM_P			DescrTx;
	PGM_P			UnitTx;
}; 

class TMenuContext	{
public:
	enum Directions	{ Down= -1, Up= 1, };
		
private:
	const TMenuItem*	pDef;
	uint8_t				InvVal;
	uint8_t				Flags;
	uint8_t				Value;
	
public:
	void StartEdit(const TMenuItem& item, uint8_t x, uint8_t y);
	bool EndEdit();
	void Print(uint8_t x, uint8_t y);
	void DoEdit(Directions dir);
	inline bool HoldsInvalid() const
	{
		return (Flags & (mnfInvDown|mnfInvUp)) && (Value == InvVal);	
	}
	inline uint8_t	GetValue() const { return Value; }
};

#endif /* _MENUE_H_ */