#ifndef EEPROM_H_
#define EEPROM_H_

typedef struct _EEData	{
	uint8_t		max_inp_current;	
	uint8_t		max_outp_current;
	uint8_t		min_inp_voltage;
	uint8_t		min_ece;			// Energy conversion efficiency = Wirkungsgrad
	uint8_t		auto_on;
	uint16_t	crc;
} EEData;

#ifdef __cplusplus
extern "C" {
#endif

extern EEData eeData;
extern uint8_t init_ee(EEData* pData);
extern void write_ee(EEData* pData);

#ifdef __cplusplus
}
#endif

#endif /* EEPROM_H_ */