#ifndef LED_H_
#define LED_H_

#define LED_PORT PORTC
#define LED_DDR DDRC
#define LED_PIN_RUN 4		/* PC4 */
#define LED_PIN_ERR 5		/* PC5 */

inline void init_led()
{
	LED_PORT&= ~((1<<LED_PIN_RUN)|(1<<LED_PIN_ERR));
	LED_DDR|= (1<<LED_PIN_RUN)|(1<<LED_PIN_ERR);
}

#define set_run_led(on)  {if (on) LED_PORT|= (1<<LED_PIN_RUN); else LED_PORT&= ~(1<<LED_PIN_RUN);}
#define set_error_led(on) {if (on) LED_PORT|= (1<<LED_PIN_ERR); else LED_PORT&= ~(1<<LED_PIN_ERR);}

#endif /* LED_H_ */